import request from '@/utils/request'

// 查询工委会列表列表
export function listCommittee(query) {
  return request({
    url: '/base/committee/list',
    method: 'get',
    params: query
  })
}

// 查询工委会列表详细
export function getCommittee(id) {
  return request({
    url: '/base/committee/' + id,
    method: 'get'
  })
}

// 新增工委会列表
export function addCommittee(data) {
  return request({
    url: '/base/committee',
    method: 'post',
    data: data
  })
}

// 修改工委会列表
export function updateCommittee(data) {
  return request({
    url: '/base/committee',
    method: 'put',
    data: data
  })
}

// 删除工委会列表
export function delCommittee(id) {
  return request({
    url: '/base/committee/' + id,
    method: 'delete'
  })
}
